Package org.apache.tools.ant.filters

# Class TokenFilter.DeleteCharacters

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.filters.TokenFilter.DeleteCharacters

All Implemented Interfaces:
  `Cloneable`, `ChainableReader`, `TokenFilter.Filter`

Enclosing class:
  `TokenFilter`

public static class TokenFilter.DeleteCharacters extends ProjectComponent implements TokenFilter.Filter, ChainableReader
Filter to delete characters

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteCharacters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Reader`
  `chain(Reader reader)`
  factory method to provide a reader that removes the characters from a reader as part of a filter chain
  `String`
  `filter(String string)`
  remove characters from a string
  `void`
  `setChars(String deleteChars)`
  Set the list of characters to delete

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteCharacters

    public DeleteCharacters()

- ## Method Details

  - ### setChars

    public void setChars(String deleteChars)
    Set the list of characters to delete
    Parameters:
      `deleteChars` - the list of characters

  - ### filter

    public String filter(String string)
    remove characters from a string
    Specified by:
      `filter` in interface `TokenFilter.Filter`
    Parameters:
      `string` - the string to remove the characters from
    Returns:
      the converted string

  - ### chain

    public Reader chain(Reader reader)
    factory method to provide a reader that removes the characters from a reader as part of a filter chain
    Specified by:
      `chain` in interface `ChainableReader`
    Parameters:
      `reader` - the reader object
    Returns:
      the chained reader object